org.apache.tinkerpop.gremlin.process.remote.traversal

## Class EmbeddedRemoteTraversalSideEffects

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects
  - - org.apache.tinkerpop.gremlin.process.remote.traversal.EmbeddedRemoteTraversalSideEffects

- All Implemented Interfaces:
    Serializable, AutoCloseable, Cloneable, RemoteTraversalSideEffects, TraversalSideEffects

      public class EmbeddedRemoteTraversalSideEffects
      extends AbstractRemoteTraversalSideEffects

  Generated by the `EmbeddedRemoteTraversal` to help simulate a remote traversal side-effects within the same JVM.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `TraversalSideEffects.Exceptions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmbeddedRemoteTraversalSideEffects(TraversalSideEffects sideEffects)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<V> V` | `get(String key)` Get the sideEffect associated with the provided key.
    `Set<String>` | `keys()` The keys of the sideEffect which includes registered `Supplier` keys.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.remote.traversal.AbstractRemoteTraversalSideEffects

      `add, clone, getReducer, getRegisteredSupplier, getSackInitialValue, getSackMerger, getSackSplitter, getSupplier, mergeInto, register, registerIfAbsent, registerSupplier, remove, set, setSack`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.remote.traversal.RemoteTraversalSideEffects

      `close`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalSideEffects

      `exists, forEach, getOrCreate, isEmpty, registerSupplierIfAbsent`

- - ### Constructor Detail

    - #### EmbeddedRemoteTraversalSideEffects

          public EmbeddedRemoteTraversalSideEffects(TraversalSideEffects sideEffects)

  - ### Method Detail

    - #### get

          public <V> V get(String key)
                    throws IllegalArgumentException

      Description copied from interface: `TraversalSideEffects`
      Get the sideEffect associated with the provided key. If the sideEffect contains an object for the key, return it. Else if the sideEffect has a registered `Supplier` for that key, generate the object, store the object in the sideEffects, and return it.
      Type Parameters:
        `V` - the type of the value to retrieve
      Parameters:
        `key` - the key to get the value for
      Returns:
        the value associated with key
      Throws:
        `IllegalArgumentException` - if the key does not reference an object or a registered supplier.

    - #### keys

          public Set<String> keys()

      Description copied from interface: `TraversalSideEffects`
      The keys of the sideEffect which includes registered `Supplier` keys. In essence, that which is possible to get().
      Returns:
        the keys of the sideEffect

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.